import request from "@/utils/request";

// 列表
export function list(data) {
  return request({
    url: `/store/group/page`,
    method: "post",
    data,
  });
}

// 新增
export function submit(data) {
  return request({
    url: `/store/group/add`,
    method: "post",
    data,
  });
}

// 编辑
export function edit(data) {
  return request({
    url: `/store/group/edit`,
    method: 'put',
    data
  })
}

// 详情
export function detail(data) {
  return request({
    url: `/store/group/get`,
    method: "post",
    data
  });
}

// 删除
export function remove(data){
  return request({
    url: `/store/group/remove`,
    method: 'delete',
    data
  })
}

// 筛选
export function groupOptions(data) {
  return request({
    url: `/store/group/list`,
    method: 'post',
    data
  })
}